%define real_name PerlIO-gzip
%define name perl-%real_name
%define version 0.17
%define release %mkrel 4

Summary:	Perl extension to provide a PerlIO layer to gzip/gunzip
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://www.cpan.org/authors/id/N/NW/NWCLARK/%{real_name}-%{version}.tar.bz2
Patch:		%{real_name}-0.14-no_strict_warnings.patch.bz2
URL:		http://search.cpan.org/dist/%{real_name}/
BuildRequires:	perl-devel zlib-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
PerlIO::gzip provides a PerlIO layer that manipulates files in the format used
by the gzip program. Compression and Decompression are implemented, but not
together. If you attempt to open a file for reading and writing the open will
fail.

%prep
%setup -q -n %{real_name}-%{version}
%patch -p1 -b .fpons

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%{perl_vendorarch}/PerlIO
%{perl_vendorarch}/auto/PerlIO


%changelog
* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/07/06 10:19:35 (53862)
- rebuild

* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/07/06 10:18:47 (53861)
Import perl-PerlIO-gzip

* Fri Feb 03 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.17-3mdk
- Rebuild, spec cleanup

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.17-2mdk
- Rebuild for new perl

* Wed Jun 30 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.17-1mdk
- 0.17.

* Tue Apr 13 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.15-3mdk
- rebuild for new perl

* Fri Aug 01 2003 Pixel <pixel@mandrakesoft.com> 0.15-2mdk
- rebuild for new perl (it helps DrakX build script)

* Mon Jul 21 2003 Franois Pons <fpons@mandrakesoft.com> 0.15-1mdk
- 0.15.

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.14-3mdk
- rebuild for new auto{prov,req}

* Thu Feb 13 2003 Franois Pons <fpons@mandrakesoft.com> 0.14-2mdk
- patched to remove strict and warnings in order to compress
  more module in installer.

* Wed Feb 12 2003 Franois Pons <fpons@mandrakesoft.com> 0.14-1mdk
- initial revision.

